<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class IntegracaoTeknisaWedigitek {

    protected $integracaoteknisawedigitek;
    protected $utilService;
    
    public function __construct(Services\IntegracaoTeknisaWedigitekService $integracaoteknisawedigitek, Utilities\Util $utilService) {
        $this->IntegracaoTeknisaWedigitekService = $integracaoteknisawedigitek;
        $this->utilService = $utilService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        set_time_limit(120);
        $conditions = $this->utilService->getParamsAsArray($request);
        $todosStatus = ["A", "E", "F", "R"];
        if(isset($conditions['IDTPEVENTO'])){
            if($conditions['IDTPEVENTO'] == "T"){
                $conditions['IDTPEVENTO'] =  implode('_' ,$todosStatus);
            }
        }
        $result = [];
          if(isset($conditions['CDFILIAL'])){
            $result = $this->IntegracaoTeknisaWedigitekService->find($conditions);
            
            $response->addDataSet(new DataSet("teknisa_wedigitek", $result));
          }
          
        return $result;
    }
    
}