<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelProdutosSemNCMAliquota  {

    protected $RelProdutosSemNCMAliquotaService;
    protected $utilService;
    
    public function __construct(Services\RelProdutosSemNCMAliquotaService $RelProdutosSemNCMAliquotaService, Utilities\Util $utilService) {
        $this->RelProdutosSemNCMAliquotaService = $RelProdutosSemNCMAliquotaService;
        $this->utilService = $utilService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $result = [];
        $conditions = $this->utilService->getParamsAsArray($request);
        $this->conditionsMake($conditions);
        if(isset($conditions['CDFILIAL']) && !empty($conditions['CDFILIAL'])) {
          $result = $this->RelProdutosSemNCMAliquotaService->find($conditions);
        }
        $response->addDataSet(new DataSet("orm00037_relProdutosSemNCMAliquota", $result));
    }
    
    public function conditionsMake(&$conditions){
        if (isset($conditions['CDFILIAL'])){
            $conditions['CDFILIAL'] = implode('_', $conditions['CDFILIAL']);
        }
    }
}