<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelatoriosVenda extends CrudWithParameterBag {
    protected $dataSourceName = 'vnd41200_relatoriosvenda';
    protected $dataSourceNameFilterCliente = 'vnd41200_relatoriosvenda_filter_cliente';
    protected $dataSourceNameFilterConsumidor = 'vnd41200_relatoriosvenda_filter_consumidor';
    protected $dataSourceNameFilial = 'vnd41200_relatoriosvenda_filial';
    protected $dataSourceNameCaixa = 'vnd41200_relatoriosvenda_caixa';
    protected $dataSourceNameCliente = 'vnd41200_relatoriosvenda_cliente';
    protected $dataSourceNameClienteFilial = 'relClienteFilial';
    protected $dataSourceNameRelConsumidor = 'relFilialClienteTipoConsConsumidor';
    protected $dataSourceNameTipoConsumidor = 'relTipoConsumidor';
    protected $dataSourceNameCentroCustoClienteFilial = 'relCentroCustoClienteFilial';
    protected $dataSourceNameConsumidor = 'vnd41200_relatoriosvenda_consumidor';
    protected $parameterBagColumns = array('CDFILIAL', 'CDLOJA', 'CDCAIXA', 'DTVENDAINI', 'DTVENDAFIN', 'NRORG', 'CDCLIENTE', 'CDCONSUMIDOR', 'CDTIPOCONS', 'CDCCUSCLIE','TCDCLIENTE', 'TCDTIPOCONS', 'TCDCCUSCLIE');

    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag) {
        parent::__construct($dataSourceManager, $parameterBag);
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        parent::find($request, $response);
    }

    public function findFilial(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameFilial;
        parent::find($request, $response);
    }

    public function findCaixa(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameCaixa;
        parent::find($request, $response);
    }

    public function findCliente(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameCliente;
        parent::find($request, $response);
    }

    public function findConsumidor(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameConsumidor;
        parent::find($request, $response);
    }

    public function findVendasCliente(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameFilterCliente;
        parent::find($request, $response);
    }
    
    public function findClienteFilial(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameClienteFilial;
        parent::find($request, $response);
    }
    
    public function findCentroCustoClienteFilial(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameCentroCustoClienteFilial;
        parent::find($request, $response);
    }
    
    public function findVendasConsumidor(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameFilterConsumidor;
        parent::find($request, $response);
    }
    
    public function findTipoConsumidor(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameTipoConsumidor;
        parent::find($request, $response);
    }
    
    public function findRelConsumidor(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceNameRelConsumidor;
        parent::find($request, $response);
    }
}