<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;

class TipoConsumidorConsumerTab extends \Teknisa\MAN\Controllers\TeknisaCrud {
    protected $dataSourceName = 'vnd02700_tipocons_consumertab';
    protected $parameterBagColumns = array('NRORG');
    
    public function __construct($crudService) {
        $this->crudService =$crudService;
    }
    
    public function save(DTO\Request $request, DTO\Response $response) {
        parent::save($request, $response);
    }
    
    public function delete(DTO\Request $request, DTO\Response $response) {
		try {
			$request = $this->crudService->buildDataSetIfRow($request, $this->dataSourceName);
            $dataSet = $request->getDataSet();
            $dataSet->setDataSourceName($this->dataSourceName);
            $this->crudService->delete($response, $dataSet);
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
}